package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkBillListTxdBillDetailBo struct {
	/*
	   平台补贴     */
	PlatformSubsidyFee *string `json:"platform_subsidy_fee,omitempty" `

	/*
	   配送费     */
	DistributionFee *string `json:"distribution_fee,omitempty" `

	/*
	   手续费     */
	HandleFee *string `json:"handle_fee,omitempty" `

	/*
	   技术服务费     */
	TechnicalServiceFee *string `json:"technical_service_fee,omitempty" `

	/*
	   运费     */
	TransportFee *string `json:"transport_fee,omitempty" `

	/*
	   计费基数（不含运费）,实付金额-运费     */
	ChargeBase *string `json:"charge_base,omitempty" `

	/*
	   实付金额（支付宝收款金额，即货款）     */
	PayAmount *string `json:"pay_amount,omitempty" `

	/*
	   交易渠道(APP/POS)     */
	TradeChannel *string `json:"trade_channel,omitempty" `

	/*
	   订单号,正向展示主单号，逆向展示退款单号     */
	BizOrderId *string `json:"biz_order_id,omitempty" `

	/*
	   单据类型（正/逆向）     */
	OrderType *string `json:"order_type,omitempty" `

	/*
	   经营店名称     */
	ShopName *string `json:"shop_name,omitempty" `

	/*
	   经营店编码     */
	ShopCode *string `json:"shop_code,omitempty" `

	/*
	   财务组织名称     */
	SettleCompanyName *string `json:"settle_company_name,omitempty" `

	/*
	   财务组织编码     */
	SettleCompanyCode *string `json:"settle_company_code,omitempty" `

	/*
	   商家名称     */
	MerchantName *string `json:"merchant_name,omitempty" `

	/*
	   商家编码     */
	MerchantCode *string `json:"merchant_code,omitempty" `

	/*
	   业务日期,记录实际业务发生时间     */
	BizDate *util.LocalTime `json:"biz_date,omitempty" `

	/*
	   账单日期, 账单出具日，按自然日     */
	BillDate *util.LocalTime `json:"bill_date,omitempty" `

	/*
	   账单编号     */
	BillNo *string `json:"bill_no,omitempty" `

	/*
	   商家补贴     */
	MerchantSubsidyFee *string `json:"merchant_subsidy_fee,omitempty" `

	/*
	   品牌商补贴     */
	BrandSubsidyFee *string `json:"brand_subsidy_fee,omitempty" `

	/*
	   商家应收金额     */
	ReceivableAmount *string `json:"receivable_amount,omitempty" `

	/*
	   原正向单号     */
	PTradeId *string `json:"p_trade_id,omitempty" `

	/*
	   平台红包补贴     */
	PlatformVoucherSubsidyFee *string `json:"platform_voucher_subsidy_fee,omitempty" `

	/*
	   商家承担红包补贴费用     */
	MerchantVoucherSubsidyFee *string `json:"merchant_voucher_subsidy_fee,omitempty" `

	/*
	   商家配送费补贴     */
	MerchantSendSubsidyFee *string `json:"merchant_send_subsidy_fee,omitempty" `

	/*
	   渠道配送费补贴     */
	PlatSendSubsidyFee *string `json:"plat_send_subsidy_fee,omitempty" `

	/*
	   结算公司名称     */
	SrcSettleCompanyName *string `json:"src_settle_company_name,omitempty" `

	/*
	   申诉赔付金     */
	DisputeFee *string `json:"dispute_fee,omitempty" `
}

func (s *AlibabaWdkBillListTxdBillDetailBo) SetPlatformSubsidyFee(v string) *AlibabaWdkBillListTxdBillDetailBo {
	s.PlatformSubsidyFee = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillDetailBo) SetDistributionFee(v string) *AlibabaWdkBillListTxdBillDetailBo {
	s.DistributionFee = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillDetailBo) SetHandleFee(v string) *AlibabaWdkBillListTxdBillDetailBo {
	s.HandleFee = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillDetailBo) SetTechnicalServiceFee(v string) *AlibabaWdkBillListTxdBillDetailBo {
	s.TechnicalServiceFee = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillDetailBo) SetTransportFee(v string) *AlibabaWdkBillListTxdBillDetailBo {
	s.TransportFee = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillDetailBo) SetChargeBase(v string) *AlibabaWdkBillListTxdBillDetailBo {
	s.ChargeBase = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillDetailBo) SetPayAmount(v string) *AlibabaWdkBillListTxdBillDetailBo {
	s.PayAmount = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillDetailBo) SetTradeChannel(v string) *AlibabaWdkBillListTxdBillDetailBo {
	s.TradeChannel = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillDetailBo) SetBizOrderId(v string) *AlibabaWdkBillListTxdBillDetailBo {
	s.BizOrderId = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillDetailBo) SetOrderType(v string) *AlibabaWdkBillListTxdBillDetailBo {
	s.OrderType = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillDetailBo) SetShopName(v string) *AlibabaWdkBillListTxdBillDetailBo {
	s.ShopName = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillDetailBo) SetShopCode(v string) *AlibabaWdkBillListTxdBillDetailBo {
	s.ShopCode = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillDetailBo) SetSettleCompanyName(v string) *AlibabaWdkBillListTxdBillDetailBo {
	s.SettleCompanyName = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillDetailBo) SetSettleCompanyCode(v string) *AlibabaWdkBillListTxdBillDetailBo {
	s.SettleCompanyCode = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillDetailBo) SetMerchantName(v string) *AlibabaWdkBillListTxdBillDetailBo {
	s.MerchantName = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillDetailBo) SetMerchantCode(v string) *AlibabaWdkBillListTxdBillDetailBo {
	s.MerchantCode = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillDetailBo) SetBizDate(v util.LocalTime) *AlibabaWdkBillListTxdBillDetailBo {
	s.BizDate = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillDetailBo) SetBillDate(v util.LocalTime) *AlibabaWdkBillListTxdBillDetailBo {
	s.BillDate = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillDetailBo) SetBillNo(v string) *AlibabaWdkBillListTxdBillDetailBo {
	s.BillNo = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillDetailBo) SetMerchantSubsidyFee(v string) *AlibabaWdkBillListTxdBillDetailBo {
	s.MerchantSubsidyFee = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillDetailBo) SetBrandSubsidyFee(v string) *AlibabaWdkBillListTxdBillDetailBo {
	s.BrandSubsidyFee = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillDetailBo) SetReceivableAmount(v string) *AlibabaWdkBillListTxdBillDetailBo {
	s.ReceivableAmount = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillDetailBo) SetPTradeId(v string) *AlibabaWdkBillListTxdBillDetailBo {
	s.PTradeId = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillDetailBo) SetPlatformVoucherSubsidyFee(v string) *AlibabaWdkBillListTxdBillDetailBo {
	s.PlatformVoucherSubsidyFee = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillDetailBo) SetMerchantVoucherSubsidyFee(v string) *AlibabaWdkBillListTxdBillDetailBo {
	s.MerchantVoucherSubsidyFee = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillDetailBo) SetMerchantSendSubsidyFee(v string) *AlibabaWdkBillListTxdBillDetailBo {
	s.MerchantSendSubsidyFee = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillDetailBo) SetPlatSendSubsidyFee(v string) *AlibabaWdkBillListTxdBillDetailBo {
	s.PlatSendSubsidyFee = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillDetailBo) SetSrcSettleCompanyName(v string) *AlibabaWdkBillListTxdBillDetailBo {
	s.SrcSettleCompanyName = &v
	return s
}
func (s *AlibabaWdkBillListTxdBillDetailBo) SetDisputeFee(v string) *AlibabaWdkBillListTxdBillDetailBo {
	s.DisputeFee = &v
	return s
}
